var $ = jQuery = require('jquery');

module.exports = function(el) {

	// Adding aria labels and tabindex's for accesibility
	// based on 1: http://simplyaccessible.com/article/danger-aria-tabs/
	// based on 2: https://codepen.io/jeffsmith/pen/mPByya

	// on load
	// add aria labels for hidden and non hidden content
	$('.c-tabs__link').not('.c-tabs__link--active').attr({'aria-selected':'false'});
	$('.c-tabs__link--active').attr({'aria-selected':'true','tabindex':'0'});
	$('.c-tabs__tab').not('.c-tabs__link--active').attr({'aria-hidden':'true'});
	$('.c-tabs__tab--active').attr({'aria-hidden':'false'});
	$('.c-tabs__tab--active .b-ugc').attr({'tabindex':'-1'});

	// add aria-labelledby to every content pane, with the relevant c-tab__link
	$('.c-tabs__link').each(function (index) {
		var currentLinkTarget = $(this).attr('href');
		$(currentLinkTarget).attr({'aria-labelledby': currentLinkTarget.replace('#', '')});
	});
	
	// when tab link is clicked
	$('.c-tabs__link').on("click", function (e) {
		e.preventDefault();

		if(!$(this).hasClass('c-tabs__link--active')) {
			// vars
			var thisTabGroup = $(this).parents('.c-tabs'); // this links parent tab

			// Remove other active classes from other links and content panes
			thisTabGroup.find('.c-tabs__link').removeClass('c-tabs__link--active').attr({'aria-selected': 'false'}).removeAttr('tabindex');
			thisTabGroup.find('.c-tabs__tab').removeClass('c-tabs__tab--active').attr({'aria-hidden': 'true'});
			thisTabGroup.find('.c-tabs__tab .b-ugc').removeAttr('tabindex');

			// Add active class to this link
			$(this).addClass('c-tabs__link--active').attr({'aria-selected':'true', 'tabindex':'0'});

			// Get this links href, which has the target panes id value
			var currentLinkTarget = $(this).attr('href');

			// Make current links content pane visible by adding active class
			thisTabGroup.find(currentLinkTarget).addClass('c-tabs__tab--active').attr({'aria-hidden': 'false'});
			thisTabGroup.find(currentLinkTarget).find('.b-ugc').attr({'tabindex':'-1'});
		}
	});

}